windowsHelloForBusinessAuthenticationMethod resource type
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
A representation of a Windows Hello for Business authentication method registered to a user. Windows Hello for Business is a sign-in authentication method for Windows devices.
Inherits from authenticationMethod.
Methods
| Method | Return type | Description |
|---|---|---|
| List windowsHelloForBusinessAuthenticationMethods | windowsHelloForBusinessAuthenticationMethod collection | Get a list of the windowsHelloForBusinessAuthenticationMethod objects and their properties. |
| Get windowsHelloForBusinessAuthenticationMethod | windowsHelloForBusinessAuthenticationMethod | Read the properties and relationships of a windowsHelloForBusinessAuthenticationMethod object. |
| Delete windowsHelloForBusinessAuthenticationMethod | None | Deletes a windowsHelloForBusinessAuthenticationMethod object. |
Properties
| Property | Type | Description |
|---|---|---|
| createdDateTime | DateTimeOffset | The date and time that this Windows Hello for Business key was registered. |
| displayName | String | The name of the device on which Windows Hello for Business is registered |
| id | String | A unique identifier for this authentication method. Inherited from authenticationMethod |
| keyStrength | authenticationMethodKeyStrength | Key strength of this Windows Hello for Business key. Possible values are: normal, weak, unknown. |
Relationships
| Relationship | Type | Description |
|---|---|---|
| device | device | The registered device on which this Windows Hello for Business key resides. Supports $expand. When you get a user's Windows Hello for Business registration information, this property is returned only on a single GET and when you specify ?$expand. For example, GET /users/admin@contoso.com/authentication/windowsHelloForBusinessMethods/_jpuR-TGZtk6aQCLF3BQjA2?$expand=device. |
JSON representation
The following is a JSON representation of the resource.
{
"@odata.type": "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod",
"id": "String (Identifier)",
"displayName": "String",
"createdDateTime": "String",
"keyStrength": {"@odata.type": "microsoft.graph.authenticationMethodKeyStrength"}
}
Feedback
Submit and view feedback for